<?php
/**
 * @var \WC_Product $product
 * @var \Ep\Gath\Plugin\Products $gathProducts
 * @var \Ep\Gath\Plugin\Images $gathImages
 * @var array[] $articlesByKey
 */
$GLOBALS['product'] = $product;
$result = $gathProducts->getRawResult($product->get_id());
?>
<div class="upsell__item">
    <div class="upsell-item">
        <div class="upsell-item__image">
            <a href="<?= get_permalink($product->get_id()); ?>" class="upsell-item__image-wrapper">
                <?php
                $image = null;
                $article = null;

                if (($tecdoc_key = get_post_meta($product->get_id(), '_tecdoc_key', true)) && isset($articlesByKey) && isset($articlesByKey[$tecdoc_key])) {
                    $article = $articlesByKey[$tecdoc_key];
                    $image = $article['images'][0] ?? false;
                }

                if (!$image && ($image = $product->get_image_id()) && preg_match('/^gath-(.+)$/', $image, $matches)) {
                    $image = $gathImages->getImageUrl($matches[1]);
                }

                if ($image) {
                    printf('<img src="%s">', $image);
                }

                wc_get_template('loop/sale-flash.php');
                ?>
            </a>
        </div>

        <div class="upsell-item__price">
            <?php wc_get_template('loop/price.php'); ?>
        </div>

        <div class="upsell-item__name">
            <a href="<?= get_permalink($product->get_id()); ?>">
                <?= $product->get_name(); ?>
            </a>

            <div class="upsell-item__fitting-position">
                <?php carparts_product_fitting_position($product->get_id(), $article); ?>
            </div>
        </div>

        <div class="upsell-item__sku">
            <strong><?= __('SKU:', 'woocommerce'); ?>:</strong> <?= $product->get_sku(); ?>
            <?php
            if (isset($result['Brands']) && is_array($result['Brands']) && count($result['Brands']) > 0) {
                if (isset($result['Brands'][0]['image']) && !empty($result['Brands'][0]['image'])) {

                    printf(
                        '<img class="product-brand-logo" src="%s" alt="%s">',
                        $gathImages->getImageUrl($result['Brands'][0]['image']),
                        $result['Brands'][0]['name']
                    );
                }
            }
            ?>
        </div>

        <div class="upsell-item__buttons">
            <a href="<?= get_permalink($product->get_id()); ?>">
                <?= __('Detalji <span>o proizvodu</span>', 'ep-upsell'); ?>
            </a>

            <?php $addToCart->output(); ?>
        </div>
    </div>
</div>